#ifndef Base_Widget_H
#define Base_Widget_H
#include "Global.h"
#include "Renderive/export.h"
class Base_Widget_Menu;
class QHBoxLayout;
class Main_Widget;
class Double_Text_Button;
class Base_Widget : public QWidget {
public:
    explicit Base_Widget(QWidget* parent = nullptr);
    Base_Widget_Menu* base_widget_menu;
    void reserver_menu();
protected:
    //    void paintEvent(QPaintEvent *event) override;
    void resizeEvent(QResizeEvent* event) override;
    void keyPressEvent(QKeyEvent* event) override;
};
#endif



